aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-06-13 21:28:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-06-13 21:28:37 +0000
commit8131b1b9350bac3c016eafb4aca500cb20753398 (patch)
tree797c919363fbd4713de3bda51c60377a0f07e7a1
parentf5be07adb50ea959d93aca928d841a50aae22c9b (diff)
downloadaports-8131b1b9350bac3c016eafb4aca500cb20753398.tar.gz
aports-8131b1b9350bac3c016eafb4aca500cb20753398.tar.bz2
aports-8131b1b9350bac3c016eafb4aca500cb20753398.tar.xz
x11/ttf-dejavu: new aport
Font family based on the Bitstream Vera Fonts with a wider range of characters http://dejavu.sourceforge.net/
-rw-r--r--x11/ttf-dejavu/APKBUILD27
l---------x11/ttf-dejavu/ttf-dejavu.post-deinstall1
-rw-r--r--x11/ttf-dejavu/ttf-dejavu.post-install6
l---------x11/ttf-dejavu/ttf-dejavu.post-upgrade1
4 files changed, 35 insertions, 0 deletions
diff --git a/x11/ttf-dejavu/APKBUILD b/x11/ttf-dejavu/APKBUILD
new file mode 100644
index 0000000000..a03d07ff57
--- /dev/null
+++ b/x11/ttf-dejavu/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ttf-dejavu
+pkgver=2.29
+pkgrel=0
+pkgdesc="Font family based on the Bitstream Vera Fonts with a wider range of characters"
+url="http://dejavu.sourceforge.net/"
+license="custom"
+depends="fontconfig encodings mkfontdir mkfontscale"
+makedepends=""
+makedepends="pkgconfig font-util-dev"
+install="ttf-dejavu.post-install ttf-dejavu.post-upgrade ttf-dejavu.post-deinstall"
+source="http://downloads.sourceforge.net/dejavu/dejavu-fonts-ttf-$pkgver.tar.bz2
+ $install"
+
+
+build ()
+{
+ cd "$srcdir/dejavu-fonts-ttf-$pkgver"
+ mkdir -p "$pkgdir/usr/share/fonts/TTF" || return 1
+ install -m644 ttf/*.ttf "$pkgdir/usr/share/fonts/TTF" || return 1
+ install -D -m644 LICENSE "$pkgdir/usr/share/licenses/ttf-dejavu/LICENSE" || return 1
+}
+
+md5sums="d8feb7d57d8b7cbac409df435daa9849 dejavu-fonts-ttf-2.29.tar.bz2
+856423a62dc28d29f91586286173b1ef ttf-dejavu.post-install
+856423a62dc28d29f91586286173b1ef ttf-dejavu.post-upgrade
+856423a62dc28d29f91586286173b1ef ttf-dejavu.post-deinstall"
diff --git a/x11/ttf-dejavu/ttf-dejavu.post-deinstall b/x11/ttf-dejavu/ttf-dejavu.post-deinstall
new file mode 120000
index 0000000000..8d3da7cfdf
--- /dev/null
+++ b/x11/ttf-dejavu/ttf-dejavu.post-deinstall
@@ -0,0 +1 @@
+ttf-dejavu.post-install \ No newline at end of file
diff --git a/x11/ttf-dejavu/ttf-dejavu.post-install b/x11/ttf-dejavu/ttf-dejavu.post-install
new file mode 100644
index 0000000000..90aedc0b1e
--- /dev/null
+++ b/x11/ttf-dejavu/ttf-dejavu.post-install
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+fc-cache -fs
+mkfontscale usr/share/fonts/TTF
+mkfontdir usr/share/fonts/TTF
+
diff --git a/x11/ttf-dejavu/ttf-dejavu.post-upgrade b/x11/ttf-dejavu/ttf-dejavu.post-upgrade
new file mode 120000
index 0000000000..8d3da7cfdf
--- /dev/null
+++ b/x11/ttf-dejavu/ttf-dejavu.post-upgrade
@@ -0,0 +1 @@
+ttf-dejavu.post-install \ No newline at end of file